Bug 1021964 - (CVE-2013-6172) CVE-2013-6172 roundcubemail: vulnerability in handling _session argument of utils/save-prefs
CVE-2013-6172 roundcubemail: vulnerability in handling _session argument of u...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20131021,repo...
: Security
Depends On: 1021735 1021965
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 08:24 EDT by Ratul Gupta
Modified: 2014-01-27 03:45 EST (History)
5 users (show)

See Also:
Fixed In Version: roundcubemail 0.9.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 13:41:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-10-22 08:24:36 EDT
Roundcubemail, a browser-based multilingual IMAP client, was found to have a vulnerability, which could allow an attacker to overwrite configuration settings using user preferences, that can result in random file access, manipulated SQL queries or even remote code execution (0.8.6 and older).

The issues are said to be fixed in the latest release, 0.9.5.

References:
http://roundcube.net/news/2013/10/21/security-updates-095-and-087/
https://bugs.gentoo.org/show_bug.cgi?id=488994
Comment 1 Ratul Gupta 2013-10-22 08:25:38 EDT
Created roundcubemail tracking bugs for this issue:

Affects: epel-all [bug 1021965]
Comment 2 Vincent Danen 2013-11-05 13:41:11 EST
Upstream bug report and patch:

http://trac.roundcube.net/ticket/1489382
http://trac.roundcube.net/changeset/70c7df8faa5a9023a2773dc5a38932f1ad3a84aa/github

This was fixed in Fedora and EPEL via roundcubemail-0.9.5-1.

Note You need to log in before you can comment on or make changes to this bug.